@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root{

    --White: #ffffff;
    --body-background: #dad7d7;
    --my-font: "Roboto",sans-serif;
    --sky-blue: #006eff;
    --navy-blue: #000041;
    --valid: #00ff00;
    --invalid: red;
    --warning: yellow;

}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    width: 100%;
    height: 100vh;
    background-color: var(--sky-blue);
    font-family: var(--my-font);
}
h1{
    color: var(--navy-blue);
}
p{
    color: var(--navy-blue);
    font-weight: 400;
    font-size: 1rem;
    font-weight: 400;
}

/* ******************************************* */
            /* PANDA */
/* ******************************************* */
.panda-head{
    position: relative;
    width: 160px;
    height: 140px;
    background-color: var(--White);
    border: 2px solid var(--navy-blue);
    border-radius: 76px 76px 60px 60px;
    top: -260px;
    z-index: 5;
}
.panda-head .ears{
    width: 180px;
    height: auto;
    position: absolute;
    top: -10px;
    left: -10px; 
    display: flex;
    justify-content: space-between;
}

.panda-head .ears .left-ear,.right-ear{
    width: 45px;
    height: 38px;
    border-radius: 50% 50% 0 0;
    background-color: var(--navy-blue);
}
.panda-head .ears .left-ear{
    transform: rotate(-45deg);
}
.panda-head .ears .right-ear{
    transform: rotate(45deg);
}

.panda-head .eyes{
    width: 160px;
    height: auto;
    position: relative;
    top: 60px;
    left: -4px;
    padding: 0 38px;
    display: flex;
    justify-content: space-between;
    transition: 1s;
}

.panda-head .eye{
    width: 10px;
    height: 10px;
    position: relative;
    display: flex;
    align-items: center;
    border-radius: 50%;
    background-color: var(--White);
    transition: 1s;
}

.panda-head .eyes.invalid .eye{
    background-color: var(--invalid);
}
.panda-head .eyes.valid .eye{
    background-color: var(--valid);
}

.panda-head .eyes .eye::before{
    content: "";
    position: absolute;
    width: 30px;
    height: 30px;
    left: -10px;
    border-radius: 50%;
    background-color: var(--navy-blue);
    z-index: -1;
    border: 2px solid red;
    transition: 1s;
}

.panda-head .mouth{
    position: absolute;
    top: 80px;
    left: 43%;
    width: 25px;
    height: 25px;
    transform: rotate(135deg);
    border-radius: 0 0 0 80px;
    background-color: var(--navy-blue);
}

.formbox .mouth.smile{
    transform: rotate(315deg);
    top: 90px;
}

.formbox .hands{
    width: 350px;
    height: 50px;
    z-index: 10;
    position: absolute;
    top: -140px;
    display: flex;
    justify-content: space-between;
    padding: 0 20px;
}
.formbox .hands .hand{
    width: 40px;
    height: 100%;
    background-color: var(--navy-blue);
    border-radius: 10px 10px 50px 50px;
    position: relative;
    transition: 1s;
}

/* when the user type password */
.formbox .hands.cover .left-hand{
    transform: rotate(-140deg);
    height: 100px;
    top: -80px;
    left: 80px;
}

/* when the user type password */
.formbox .hands.cover .right-hand{
    transform: rotate(140deg);
    height: 100px;
    top: -80px;
    right: 80px;
}

/* ****panda legs**** */
.formbox .legs{
    width: 430px;
    height: 55px;
    position: absolute;
    bottom: -152px;
    display: flex;
    justify-content: space-between;
    padding: 0 110px;
}

.formbox .legs .leg{
    width: 55px;
    height: 100%;
    background-color: var(--navy-blue);
    display: flex;
    justify-content: space-around;
    border-radius: 50px 50px 20px 20px;
}

.formbox .legs .leg::after{
    content: "";
    position: absolute;
    width: 30px;
    height: 30px;
    bottom: 6px;
    background-color: var(--White);
    border-radius: 50px 50px 20px 20px;
}

.formbox .legs .leg b{
    position: relative;
    background-color: var(--White);
    height: 5px;
    border-radius: 50%;
}
.formbox .legs .leg b:nth-child(1){
    position: relative;
    top: 13px;
    left: 5px;
}
.formbox .legs .leg b:nth-child(2){
    position: relative;
    top: 8px;
}
.formbox .legs .leg b:nth-child(3){
    position: relative;
    top: 13px;
    right: 5px;
}


/* ******************************************* */
            /* FORM */
/* ******************************************* */
.formbox{
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.formbox form{
    width: 430px;
    height: auto;
    background-color: var(--White);
    position: absolute;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
}

.formbox form .inputbox{
    width: 90%;
    height: 40px;
    display: flex;
    align-items: center;
    margin-top: 10px;
}

.formbox form .inputerror{
    width: 90%;
    display: none;
}
.formbox form .inputerror p{
    color: var(--invalid);
    transition: 1s;
}

.formbox form .inputbox i{
    position: absolute;
    right: 40px;
}

.formbox form .inputbox input{
    width: 100%;
    height: 100%;
    border: none;
    padding-left: 4px;
    letter-spacing: 1px;
    font-size: 1rem;
    font-family: var(--my-font);
    border-bottom: 1px solid var(--navy-blue);
}

.formbox form .inputbox input:focus{
    outline: none;
    border-bottom: 1px solid var(--warning);
}

.formbox form input[type="email"]{
    border-bottom: 1px solid var(--navy-blue);
}

.formbox form input[type="email"]:focus{
    outline: none;
    border-bottom: 1px solid var(--warning);
}

.formbox form input[type="email"]:valid{
    outline: none;
    border-bottom: 1px solid var(--valid);
    color: var(--valid);
}

.formbox form input[type="email"]:invalid{
    outline: none;
    border-bottom: 1px solid var(--invalid);
    color: var(--invalid);
}

.formbox form .btn input{
    background: transparent;
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--White);
    cursor: pointer;
    border-bottom: none;
}

.formbox form .btn{
    margin-top: 30px;
    border: none;
    background-color: var(--valid);
    border-radius: 5px;
}

.formbox form .btn:has(a){
    margin: 0;
    margin-top: 10px;
    background-color: var(--invalid);
    overflow: hidden;
    padding-top: 10px;
}

.formbox form .btn a{
    width: 100%;
    height: 100%;
    font-size: 1rem;
    font-weight: bold;
    color: var(--White);
    text-align: center;
    text-decoration: none;
    text-transform: capitalize;
}

.formbox .login-message{
    width: 90%;
    margin-top: 10px;
}
.formbox .login-message a{
    color: var(--valid);
    font-weight: bold;
    text-decoration: none;
}

.formbox .privacy-message{
    width: 90%;
    margin: 10px 0;
}


/* ********************* MEDIA QUERY ********************** */

@media screen and (max-width:600px) {

    .panda-head{
        width: 140px;
        height: 120px;
        top: -215px;
        z-index: 5;
    }
    .panda-head .ears{
        width: 165px;
        top: -10px;
        left: -15px; 
    }
    
    .panda-head .ears .left-ear,.right-ear{
        height: 35px;
    }
    
    .panda-head .eyes{
        width: 170px;
        top: 60px;
        left: -18px;
        padding: 0 45px;
    }

    .formbox .hands{
        width: 95vw;
        height: 45px;
        top: -130px;
        padding: 0 40px;
    }
    
    /* when the user type password */
    .formbox .hands.cover .left-hand{
        transform: rotate(-140deg);
        height: 100px;
        top: -100%;
        left: 22%;
    }
    
    /* when the user type password */
    .formbox .hands.cover .right-hand{
        transform: rotate(140deg);
        height: 100px;
        top: -100%;
        right: 22%;
    }



    .formbox{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    
    .formbox form{
        width: 95vw;
        padding: 20px;
    }
    
    .formbox form .inputbox{
        width: 90%;
        height: 30px;
        margin-top: 10px;
    }

    .formbox form .btn:has(a){
        margin: 10px;
    }
    /* ****panda legs**** */
.formbox .legs{
    width: 95vw;
    height: 55px;
    bottom: -130px;
    padding: 0 80px;
}

}